#include <cstdio>
#include <cstring>
#include <cmath>
#include <vector>
#include <string>
#include <algorithm>
#include <set>
#include <map>

#define ll long long int
#define min(a, b) (a < b ? a : b)
#define max(a, b) (a > b ? a : b)

using namespace std;

ll F[200020];
ll P1[200020];
int v[200020];
int n, k;

int main() {

    while (scanf("%d %d",&n,&k) and (n or k)) {
        for (int i=0;i<n;i++)
            scanf("%d",v+i);
        F[0] = (ll)v[0];
        for (int i=1;i<n;i++)
            F[i] = F[i-1] + (ll)v[i];

        //pra1
        for (int u=n-1;u>=0;u--) {
            if (n-u < k) P1[u]=0;
            else {
                ll t1 = P1[u+1];
                ll t2 = F[u+k-1] - (u?F[u-1]:0);
                P1[u] = max(t1,t2);
            }
        }

        // pega maximo
        ll maior = 0;
        int a = -1;
        for (int i=0;n-i>=2*k;i++) {
            ll afe = F[i+k-1] - (i?F[i-1]:0) + P1[i+k];
            if (afe > maior) {
                maior = afe;
                a = i;
            }
        }

        maior = 0;
        int b = -1;
        for (int i=a+k;n-i>=k;i++) {
            ll afe = F[i+k-1] - (i?F[i-1]:0);
            if (afe > maior) {
                maior = afe;
                b = i;
            }
        }
        printf("%d %d\n",a+1,b+1);
    }

    return 0;
}
